Update inventory position or create inventory - Fabric

Update inventory position or create inventory

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/adjustment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{\n  "itemId": 4225678911,\n  "locationNum": 473746,\n  "channelId": 12,\n  "leadTime": 1234,\n  "counters": {\n    "on-hand": 10\n  },\n  "attributes": {\n    "buy online, pick up in-store (bopis)": true\n  }\n}\n'```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/adjustment"

payload = {
    "itemId": 4225678911,
    "locationNum": 473746,
    "channelId": 12,
    "leadTime": 1234,
    "counters": { "on-hand": 10 },
    "attributes": { "buy online, pick up in-store (bopis)": True }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    itemId: 4225678911,
    locationNum: 473746,
    channelId: 12,
    leadTime: 1234,
    counters: {'on-hand': 10},
    attributes: {'buy online, pick up in-store (bopis)': true}
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/adjustment', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Responses

Success Response (200)

{
  "virtualCounters": {
    "availableToPurchase": 10
  },
  "id": "62272e917b12209e68751d94",
  "sku": "SKU00025",
  "itemId": 4225678911,
  "locationNum": 473746,
  "channelId": 12,
  "vendorId": "vendor123",
  "leadTime": 1234,
  "inventoryType": "Safety stock",
  "infiniteInventory": true,
  "counters": {
    "on-hand": 10
  },
  "attributes": {
    "buy online, pick up in-store (bopis)": true
  }
}

Error Response (400)

{
  "message": "Invalid request payload or parameter"
}

Error Response (404)

{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}

Error Response (500)

{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}